---
title: burusftp.exe
linkTitle: "burusftp.exe"
weight: 100
# list of pages in section config - see https://www.docsy.dev/docs/adding-content/content/#docs-section-landing-pages
# remove list of pages in section
no_list: true
---

# Usage
`burusftp <command> [<options>] [<args>]`

## Options
* `--version`
  * Show application version
* `--license`
  * Display EULA and license information

## Starting, stopping and installing the server

* [`init`]({{< ref "init" >}}) - Initialize default configuration and server keys
* [`run`]({{< ref "run" >}}) - Run the server in interactive mode
* [`install`]({{< ref "install" >}}) - Install the server in interactive mode
* [`uninstall`]({{< ref "uninstall" >}}) - Uninstall the server in interactive mode
* [`svc install`]({{< ref "svc-install" >}}) - Install as Windows Service
* [`svc uninstall`]({{< ref "svc-uninstall" >}}) - Uninstall Windows Service
* [`svc restart`]({{< ref "svc-restart" >}}) - Restart Windows Service
* [`svc start`]({{< ref "svc-start" >}}) - Start Windows Service
* [`svc stop`]({{< ref "svc-stop" >}}) - Stop Windows Service

## Managing users

* [`user add`]({{< ref "user-add" >}}) - Add user to the user database
* [`user delete`]({{< ref "user-delete" >}}) - Remove user from the user database
* [`user update`]({{< ref "user-update" >}}) - Modify user in the user database
* [`user inspect`]({{< ref "user-inspect" >}}) - Prints user details
* [`user list`]({{< ref "user-list" >}}) - Lists users in the database
* [`user unlock`]({{< ref "user-unlock" >}}) - Unlocks user (alias to `user update <username> --unlock`)

### User path mapping

* [`path`]({{< ref "path" >}}) - Add or replace user path mapping
* [`path delete`]({{< ref "path-delete" >}}) - Delete user path mapping
* [`path list`]({{< ref "path-list" >}}) - List user path mappings

### User public keys

* [`user key add`]({{< ref "user-key-add" >}}) - Add public key for user
* [`user key delete`]({{< ref "user-key-delete" >}}) - Delete public key from user

## Miscellaneous

* [`certgen`]({{< ref "certgen" >}}) - Generate X.509 certificate, which can be used for TLS (FTPS or HTTPS)
* [`keygen`]({{< ref "keygen" >}}) - Generate SSH private keys
* [`filezilla import-users`]({{< ref "filezilla-import-users" >}}) - Import users from FileZilla FTP Server

## Help
Type `burusftp <command> --help` to display help for selected command, e.g. `burusftp path --help`.

Report issues at [https://github.com/rebexnet/buru-sftp-server](https://github.com/rebexnet/buru-sftp-server)